ReferenceListMetadata
Date: 2016-06-25

org.osgi.service.blueprint.reflect

## Interface ReferenceListMetadata

- All Superinterfaces:
    ComponentMetadata, Metadata, NonNullMetadata, ServiceReferenceMetadata

      @ConsumerType
      public interface ReferenceListMetadata
      extends ServiceReferenceMetadata

  Metadata for a list of service references.

  This is specified by the `reference-list` element.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `USE_SERVICE_OBJECT` Reference list values must be proxies to the actual service objects.
    `static int` | `USE_SERVICE_REFERENCE` Reference list values must be `ServiceReference` objects.

    - ### Fields inherited from interface org.osgi.service.blueprint.reflect.ServiceReferenceMetadata

      `AVAILABILITY_MANDATORY, AVAILABILITY_OPTIONAL`

    - ### Fields inherited from interface org.osgi.service.blueprint.reflect.ComponentMetadata

      `ACTIVATION_EAGER, ACTIVATION_LAZY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMemberType()` Return whether the List will contain service object proxies or `ServiceReference` objects.

    - ### Methods inherited from interface org.osgi.service.blueprint.reflect.ServiceReferenceMetadata

      `getAvailability, getComponentName, getFilter, getInterface, getReferenceListeners`

    - ### Methods inherited from interface org.osgi.service.blueprint.reflect.ComponentMetadata

      `getActivation, getDependsOn, getId`

- - ### Field Detail

    - #### USE_SERVICE_OBJECT

          static final int USE_SERVICE_OBJECT

      Reference list values must be proxies to the actual service objects.
      See Also:
        `getMemberType()`, Constant Field Values

    - #### USE_SERVICE_REFERENCE

          static final int USE_SERVICE_REFERENCE

      Reference list values must be `ServiceReference` objects.
      See Also:
        `getMemberType()`, Constant Field Values

  - ### Method Detail

    - #### getMemberType

          int getMemberType()

      Return whether the List will contain service object proxies or `ServiceReference` objects. This is specified by the `member-type` attribute of the reference list.
      Returns:
        Whether the List will contain service object proxies or `ServiceReference` objects.
      See Also:
        `USE_SERVICE_OBJECT`, `USE_SERVICE_REFERENCE`